using NUnit.Framework;
using Cvicenie02;

namespace TestProject1
{
    public class Tests
    {
        private Motorbike _testField;

        [SetUp]
        public void Setup()
        {
            _testField = new Motorbike { Name = "SetUp" };
        }

        [Test]
        public void Test1()
        {
            var mb = new Motorbike { Name = "Hello" };
            Assert.AreEqual("Hello", mb.Name);
            var mb2 = new Motorbike { Name = "Hello" };
            // Assert.AreSame(mb, mb2);
            mb2 = mb;
            Assert.AreSame(mb, mb2);
        }

        [Test]
        public void Test2()
        {
            var mb = new Motorbike { Name = "Test2" };
            Assert.AreEqual("Test2", mb.Name);
            Assert.AreNotEqual("Hello", mb.Name);
        }
    }
}